Loading...
Searching...
No Matches
pdftron::PDF::Annots::RadioButtonGroup Class Reference

`#include <RadioButtonGroup.h>`

## Public Member Functions
| RadioButtonGroup (const Field &field)
RadioButtonWidget | Add (const Rect &pos, const char *onstate="")
UInt32 | GetNumButtons ()
RadioButtonWidget | GetButton (UInt32 index)
Field | GetField () const
void | AddGroupButtonsToPage (Page page)
| RadioButtonGroup (const RadioButtonGroup &group)
RadioButtonGroup & | operator= (const RadioButtonGroup &c)
| RadioButtonGroup (TRN_RadioButtonGroup impl)
| ~RadioButtonGroup ()

## Static Public Member Functions
static RadioButtonGroup | Create (PDFDoc &doc, const UString &field_name="")

## Detailed Description

An object representing a Group of Radio Buttons that can be used to create new Radio Buttons. If a group contains multiple buttons they will be connected.

Definition at line 19 of file RadioButtonGroup.h.

## Constructor & Destructor Documentation

## ◆ RadioButtonGroup() [1/3]

pdftron::PDF::Annots::RadioButtonGroup::RadioButtonGroup | ( | const Field & | field | ) |

Creates a RadioButtonGroup and initialize it using given Field object.

Note: The constructor does not copy any data, but is instead the logical equivalent of a type cast.

Parameters

  field | The field with which to initialize the RadioButtonGroup

## ◆ RadioButtonGroup() [2/3]

pdftron::PDF::Annots::RadioButtonGroup::RadioButtonGroup | ( | const RadioButtonGroup & | group | ) |

## ◆ RadioButtonGroup() [3/3]

pdftron::PDF::Annots::RadioButtonGroup::RadioButtonGroup | ( | TRN_RadioButtonGroup | impl | ) |

## ◆ ~RadioButtonGroup()

pdftron::PDF::Annots::RadioButtonGroup::~RadioButtonGroup | ( |  | ) |

## Member Function Documentation

## ◆ Add()

RadioButtonWidget pdftron::PDF::Annots::RadioButtonGroup::Add | ( | const Rect & | pos,
|  | const char * | onstate = "" )

Adds a new RadioButtonWidget to the RadioButtonGroup

Parameters

  pos | A rectangle specifying the annotation's bounds, specified in user space coordinates.
  onstate | The onstate for this button. This will rarely need to be explicitly set. However, it can be used to allow multiple radiobuttons in a group to be on at once if they have the same onstate.

Returns
  A newly created default RadioButtonWidget.

## ◆ AddGroupButtonsToPage()

void pdftron::PDF::Annots::RadioButtonGroup::AddGroupButtonsToPage | ( | Page | page | ) |

Add all group buttons to the page

Parameters

  page | The page in which to add the buttons.

## ◆ Create()

RadioButtonGroup pdftron::PDF::Annots::RadioButtonGroup::Create | ( | PDFDoc & | doc,
|  | const UString & | field_name = "" )
| static

Creates a new RadioButtonGroup in the specified document.

Parameters

  doc | The document in which the RadioButtonGroup is created.
  field_name | The name of the field to create and use in this RadioButtonGroup.

Returns
  A newly created RadioButtonGroup.

## ◆ GetButton()

RadioButtonWidget pdftron::PDF::Annots::RadioButtonGroup::GetButton | ( | UInt32 | index | ) |

Retrieves the button at a given index.

Parameters

  index | The index to use.

Returns
  The RadioButtonWidget at the given index

## ◆ GetField()

Field pdftron::PDF::Annots::RadioButtonGroup::GetField | ( |  | ) | const

Gets the field associated with this RadioButtonGroup

Returns
  The Field associated with this RadioButtonGroup

## ◆ GetNumButtons()

UInt32 pdftron::PDF::Annots::RadioButtonGroup::GetNumButtons | ( |  | ) |

Gets the number of buttons in this RadioButtonGroup

Returns
  The number of buttons in this RadioButtonGroup

## ◆ operator=()

RadioButtonGroup & pdftron::PDF::Annots::RadioButtonGroup::operator= | ( | const RadioButtonGroup & | c | ) |

The documentation for this class was generated from the following file:

- PDF/Annots/RadioButtonGroup.h